/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-03-15
 * 描述            ：平整机生产主实绩
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Tpm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Tpm.mapper.MesTpmMMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="MES_TPM_M", namespace=MesTpmMMapper.class)
public class MesTpmM extends BaseVO implements Serializable {
	
	
	private String heatno;
	private String batchno;
	private String surface_rst;
	
	public String getHeatno() {
		return heatno;
	}
	public void setHeatno(String heatno) {
		this.heatno = heatno;
	}
	public String getBatchno() {
		return batchno;
	}
	public void setBatchno(String batchno) {
		this.batchno = batchno;
	}
	public String getSurface_rst() {
		return surface_rst;
	}
	public void setSurface_rst(String surface_rst) {
		this.surface_rst = surface_rst;
	}
	
	
	

	/** 
	 * 机台号
	 */ 
	@Column
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 作业计划号
	 */ 
	@Id
	private String schedule_no;
	public String getSchedule_no() {
		return this.schedule_no;
	}
	public void setSchedule_no(String schedule_no) {
		this.schedule_no = schedule_no;
	}

	/** 
	 * 计划内序号
	 */ 
	@Column
	private Long inner_seq;
	public Long getInner_seq() {
		return this.inner_seq;
	}
	public void setInner_seq(Long inner_seq) {
		this.inner_seq = inner_seq;
	}

	/** 
	 * 虚拟原料卷号
	 */ 
	@Column
	private String material_no_vt;
	public String getMaterial_no_vt() {
		return this.material_no_vt;
	}
	public void setMaterial_no_vt(String material_no_vt) {
		this.material_no_vt = material_no_vt;
	}

	/** 
	 * 计划原料卷牌号
	 */ 
	@Column
	private String pln_steel_code;
	public String getPln_steel_code() {
		return this.pln_steel_code;
	}
	public void setPln_steel_code(String pln_steel_code) {
		this.pln_steel_code = pln_steel_code;
	}

	/** 
	 * 计划原料卷厚度
	 */ 
	@Column
	private Double pln_mtr_thk;
	public Double getPln_mtr_thk() {
		return this.pln_mtr_thk;
	}
	public void setPln_mtr_thk(Double pln_mtr_thk) {
		this.pln_mtr_thk = pln_mtr_thk;
	}

	/** 
	 * 计划原料卷宽度
	 */ 
	@Column
	private Double pln_mtr_wdt;
	public Double getPln_mtr_wdt() {
		return this.pln_mtr_wdt;
	}
	public void setPln_mtr_wdt(Double pln_mtr_wdt) {
		this.pln_mtr_wdt = pln_mtr_wdt;
	}

	/** 
	 * 计划原料卷长度
	 */ 
	@Column
	private Double pln_mtr_len;
	public Double getPln_mtr_len() {
		return this.pln_mtr_len;
	}
	public void setPln_mtr_len(Double pln_mtr_len) {
		this.pln_mtr_len = pln_mtr_len;
	}

	/** 
	 * 计划原料卷内径
	 */ 
	@Column
	private Double pln_mtr_inn_dia;
	public Double getPln_mtr_inn_dia() {
		return this.pln_mtr_inn_dia;
	}
	public void setPln_mtr_inn_dia(Double pln_mtr_inn_dia) {
		this.pln_mtr_inn_dia = pln_mtr_inn_dia;
	}

	/** 
	 * 计划原料卷外径
	 */ 
	@Column
	private Double pln_mtr_out_dia;
	public Double getPln_mtr_out_dia() {
		return this.pln_mtr_out_dia;
	}
	public void setPln_mtr_out_dia(Double pln_mtr_out_dia) {
		this.pln_mtr_out_dia = pln_mtr_out_dia;
	}

	/** 
	 * 计划原料卷理重
	 */ 
	@Column
	private Double pln_mtr_thr_wgt;
	public Double getPln_mtr_thr_wgt() {
		return this.pln_mtr_thr_wgt;
	}
	public void setPln_mtr_thr_wgt(Double pln_mtr_thr_wgt) {
		this.pln_mtr_thr_wgt = pln_mtr_thr_wgt;
	}

	/** 
	 * 原料卷号
	 */ 
	@Id
	private String material_no;
	public String getMaterial_no() {
		return this.material_no;
	}
	public void setMaterial_no(String material_no) {
		this.material_no = material_no;
	}

	/** 
	 * 原始卷号
	 */ 
	@Column
	private String material_no_src;
	public String getMaterial_no_src() {
		return this.material_no_src;
	}
	public void setMaterial_no_src(String material_no_src) {
		this.material_no_src = material_no_src;
	}

	/** 
	 * 原料卷牌号
	 */ 
	@Column
	private String steel_code;
	public String getSteel_code() {
		return this.steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	/** 
	 * 原料卷厚度
	 */ 
	@Column
	private Double mtr_thk;
	public Double getMtr_thk() {
		return this.mtr_thk;
	}
	public void setMtr_thk(Double mtr_thk) {
		this.mtr_thk = mtr_thk;
	}

	/** 
	 * 原料卷宽度
	 */ 
	@Column
	private Double mtr_wdt;
	public Double getMtr_wdt() {
		return this.mtr_wdt;
	}
	public void setMtr_wdt(Double mtr_wdt) {
		this.mtr_wdt = mtr_wdt;
	}

	/** 
	 * 原料卷长度
	 */ 
	@Column
	private Double mtr_len;
	public Double getMtr_len() {
		return this.mtr_len;
	}
	public void setMtr_len(Double mtr_len) {
		this.mtr_len = mtr_len;
	}

	/** 
	 * 原料卷内径
	 */ 
	@Column
	private Double mtr_inn_dia;
	public Double getMtr_inn_dia() {
		return this.mtr_inn_dia;
	}
	public void setMtr_inn_dia(Double mtr_inn_dia) {
		this.mtr_inn_dia = mtr_inn_dia;
	}

	/** 
	 * 原料卷外径
	 */ 
	@Column
	private Double mtr_out_dia;
	public Double getMtr_out_dia() {
		return this.mtr_out_dia;
	}
	public void setMtr_out_dia(Double mtr_out_dia) {
		this.mtr_out_dia = mtr_out_dia;
	}

	/** 
	 * 原料卷理重
	 */ 
	@Column
	private Double mtr_thr_wgt;
	public Double getMtr_thr_wgt() {
		return this.mtr_thr_wgt;
	}
	public void setMtr_thr_wgt(Double mtr_thr_wgt) {
		this.mtr_thr_wgt = mtr_thr_wgt;
	}

	/** 
	 * 原料卷实重
	 */ 
	@Column
	private Double mtr_act_wgt;
	public Double getMtr_act_wgt() {
		return this.mtr_act_wgt;
	}
	public void setMtr_act_wgt(Double mtr_act_wgt) {
		this.mtr_act_wgt = mtr_act_wgt;
	}

	/** 
	 * 作业日期（YYYY-MM-DD）
	 */ 
	@Column
	private String wrk_date;
	public String getWrk_date() {
		return this.wrk_date;
	}
	public void setWrk_date(String wrk_date) {
		this.wrk_date = wrk_date;
	}

	/** 
	 * 作业班次（0常白班、1晚班、2白班、3中班）
	 */ 
	@Column
	private String wrk_ord;
	public String getWrk_ord() {
		return this.wrk_ord;
	}
	public void setWrk_ord(String wrk_ord) {
		this.wrk_ord = wrk_ord;
	}

	/** 
	 * 作业班组（0常白班、1甲班、2乙班、3丙班、4丁班）
	 */ 
	@Column
	private String wrk_grp;
	public String getWrk_grp() {
		return this.wrk_grp;
	}
	public void setWrk_grp(String wrk_grp) {
		this.wrk_grp = wrk_grp;
	}

	/** 
	 * 主操工
	 */ 
	@Column
	private String chief_opr;
	public String getChief_opr() {
		return this.chief_opr;
	}
	public void setChief_opr(String chief_opr) {
		this.chief_opr = chief_opr;
	}

	/** 
	 * 上料时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date feeding_time;
	public Date getFeeding_time() {
		return this.feeding_time;
	}
	public void setFeeding_time(Date feeding_time) {
		this.feeding_time = feeding_time;
	}

	/** 
	 * 上料称重
	 */ 
	@Column
	private Double feeding_wgt;
	public Double getFeeding_wgt() {
		return this.feeding_wgt;
	}
	public void setFeeding_wgt(Double feeding_wgt) {
		this.feeding_wgt = feeding_wgt;
	}

	/** 
	 * 原料卷称重时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date feeding_wgt_time;
	public Date getFeeding_wgt_time() {
		return this.feeding_wgt_time;
	}
	public void setFeeding_wgt_time(Date feeding_wgt_time) {
		this.feeding_wgt_time = feeding_wgt_time;
	}

	/** 
	 * 生产开始时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date tp_str_time;
	public Date getTp_str_time() {
		return this.tp_str_time;
	}
	public void setTp_str_time(Date tp_str_time) {
		this.tp_str_time = tp_str_time;
	}

	/** 
	 * 生产结束时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date tp_end_time;
	public Date getTp_end_time() {
		return this.tp_end_time;
	}
	public void setTp_end_time(Date tp_end_time) {
		this.tp_end_time = tp_end_time;
	}

	/** 
	 * 生产持续时长（min）
	 */ 
	@Column
	private Long tp_duration;
	public Long getTp_duration() {
		return this.tp_duration;
	}
	public void setTp_duration(Long tp_duration) {
		this.tp_duration = tp_duration;
	}

	/** 
	 * 平整模式（0：平整、1：轧制）
	 */ 
	@Column
	private String spm_mode;
	public String getSpm_mode() {
		return this.spm_mode;
	}
	public void setSpm_mode(String spm_mode) {
		this.spm_mode = spm_mode;
	}

	/** 
	 * 前张力平均值（10^-2kn）
	 */ 
	@Column
	private Long entry_tension_avg;
	public Long getEntry_tension_avg() {
		return this.entry_tension_avg;
	}
	public void setEntry_tension_avg(Long entry_tension_avg) {
		this.entry_tension_avg = entry_tension_avg;
	}

	/** 
	 * 前张力最大值（10^-2kn）
	 */ 
	@Column
	private Long entry_tension_max;
	public Long getEntry_tension_max() {
		return this.entry_tension_max;
	}
	public void setEntry_tension_max(Long entry_tension_max) {
		this.entry_tension_max = entry_tension_max;
	}

	/** 
	 * 前张力最小值（10^-2kn）
	 */ 
	@Column
	private Long entry_tension_min;
	public Long getEntry_tension_min() {
		return this.entry_tension_min;
	}
	public void setEntry_tension_min(Long entry_tension_min) {
		this.entry_tension_min = entry_tension_min;
	}

	/** 
	 * 后张力平均值（10^-2kn）
	 */ 
	@Column
	private Long exit_tension_avg;
	public Long getExit_tension_avg() {
		return this.exit_tension_avg;
	}
	public void setExit_tension_avg(Long exit_tension_avg) {
		this.exit_tension_avg = exit_tension_avg;
	}

	/** 
	 * 后张力最大值（10^-2kn）
	 */ 
	@Column
	private Long exit_tension_max;
	public Long getExit_tension_max() {
		return this.exit_tension_max;
	}
	public void setExit_tension_max(Long exit_tension_max) {
		this.exit_tension_max = exit_tension_max;
	}

	/** 
	 * 后张力最小值（10^-2kn）
	 */ 
	@Column
	private Long exit_tension_min;
	public Long getExit_tension_min() {
		return this.exit_tension_min;
	}
	public void setExit_tension_min(Long exit_tension_min) {
		this.exit_tension_min = exit_tension_min;
	}

	/** 
	 * 转矩平均值（10^-2kn）
	 */ 
	@Column
	private Long spindle_torque_avg;
	public Long getSpindle_torque_avg() {
		return this.spindle_torque_avg;
	}
	public void setSpindle_torque_avg(Long spindle_torque_avg) {
		this.spindle_torque_avg = spindle_torque_avg;
	}

	/** 
	 * 转矩最大值（10^-2kn）
	 */ 
	@Column
	private Long spindle_torque_max;
	public Long getSpindle_torque_max() {
		return this.spindle_torque_max;
	}
	public void setSpindle_torque_max(Long spindle_torque_max) {
		this.spindle_torque_max = spindle_torque_max;
	}

	/** 
	 * 转矩最小值（10^-2kn）
	 */ 
	@Column
	private Long spindle_torque_min;
	public Long getSpindle_torque_min() {
		return this.spindle_torque_min;
	}
	public void setSpindle_torque_min(Long spindle_torque_min) {
		this.spindle_torque_min = spindle_torque_min;
	}

	/** 
	 * 轧制力平均值（10^-2kn）
	 */ 
	@Column
	private Long mill_force_avg;
	public Long getMill_force_avg() {
		return this.mill_force_avg;
	}
	public void setMill_force_avg(Long mill_force_avg) {
		this.mill_force_avg = mill_force_avg;
	}

	/** 
	 * 轧制力最大值（10^-2kn）
	 */ 
	@Column
	private Long mill_force_max;
	public Long getMill_force_max() {
		return this.mill_force_max;
	}
	public void setMill_force_max(Long mill_force_max) {
		this.mill_force_max = mill_force_max;
	}

	/** 
	 * 轧制力最小值（10^-2kn）
	 */ 
	@Column
	private Long mill_force_min;
	public Long getMill_force_min() {
		return this.mill_force_min;
	}
	public void setMill_force_min(Long mill_force_min) {
		this.mill_force_min = mill_force_min;
	}

	/** 
	 * 轧制力（10^-2kn）
	 */ 
	@Column
	private Long mill_force;
	public Long getMill_force() {
		return this.mill_force;
	}
	public void setMill_force(Long mill_force) {
		this.mill_force = mill_force;
	}

	/** 
	 * 轧制力方差（10^-2kn）
	 */ 
	@Column
	private Long mill_force_deta;
	public Long getMill_force_deta() {
		return this.mill_force_deta;
	}
	public void setMill_force_deta(Long mill_force_deta) {
		this.mill_force_deta = mill_force_deta;
	}

	/** 
	 * 工作弯辊力（10^-2kn）
	 */ 
	@Column
	private Long wkr_bending_force;
	public Long getWkr_bending_force() {
		return this.wkr_bending_force;
	}
	public void setWkr_bending_force(Long wkr_bending_force) {
		this.wkr_bending_force = wkr_bending_force;
	}

	/** 
	 * 中辊弯辊力（10^-2kn）
	 */ 
	@Column
	private Long imr_bending_force;
	public Long getImr_bending_force() {
		return this.imr_bending_force;
	}
	public void setImr_bending_force(Long imr_bending_force) {
		this.imr_bending_force = imr_bending_force;
	}

	/** 
	 * 串辊位置（mm）
	 */ 
	@Column
	private Long shift_pos;
	public Long getShift_pos() {
		return this.shift_pos;
	}
	public void setShift_pos(Long shift_pos) {
		this.shift_pos = shift_pos;
	}

	/** 
	 * 延伸率（根据平整模式判断）
	 */ 
	@Column
	private Long elongation;
	public Long getElongation() {
		return this.elongation;
	}
	public void setElongation(Long elongation) {
		this.elongation = elongation;
	}

	/** 
	 * 压下率（根据平整模式判断）
	 */ 
	@Column
	private Long reduction;
	public Long getReduction() {
		return this.reduction;
	}
	public void setReduction(Long reduction) {
		this.reduction = reduction;
	}

	/** 
	 * 轧制速度平均值（m/min）
	 */ 
	@Column
	private Long mill_speed_avg;
	public Long getMill_speed_avg() {
		return this.mill_speed_avg;
	}
	public void setMill_speed_avg(Long mill_speed_avg) {
		this.mill_speed_avg = mill_speed_avg;
	}

	/** 
	 * 轧制速度最大值（m/min）
	 */ 
	@Column
	private Long mill_speed_max;
	public Long getMill_speed_max() {
		return this.mill_speed_max;
	}
	public void setMill_speed_max(Long mill_speed_max) {
		this.mill_speed_max = mill_speed_max;
	}

	/** 
	 * 轧制速度最小值（m/min）
	 */ 
	@Column
	private Long mill_speed_min;
	public Long getMill_speed_min() {
		return this.mill_speed_min;
	}
	public void setMill_speed_min(Long mill_speed_min) {
		this.mill_speed_min = mill_speed_min;
	}

	/** 
	 * 轧制速度（m/min）
	 */ 
	@Column
	private Long mill_speed;
	public Long getMill_speed() {
		return this.mill_speed;
	}
	public void setMill_speed(Long mill_speed) {
		this.mill_speed = mill_speed;
	}

	/** 
	 * 1#机架出口卷厚度设定值（um）
	 */ 
	@Column
	private Long exit_thickness_set;
	public Long getExit_thickness_set() {
		return this.exit_thickness_set;
	}
	public void setExit_thickness_set(Long exit_thickness_set) {
		this.exit_thickness_set = exit_thickness_set;
	}

	/** 
	 * 1#机架出口卷厚度平均值（um）
	 */ 
	@Column
	private Long exit_thickness_avg;
	public Long getExit_thickness_avg() {
		return this.exit_thickness_avg;
	}
	public void setExit_thickness_avg(Long exit_thickness_avg) {
		this.exit_thickness_avg = exit_thickness_avg;
	}

	/** 
	 * 1#机架出口卷厚度最大值（um）
	 */ 
	@Column
	private Long exit_thickness_max;
	public Long getExit_thickness_max() {
		return this.exit_thickness_max;
	}
	public void setExit_thickness_max(Long exit_thickness_max) {
		this.exit_thickness_max = exit_thickness_max;
	}

	/** 
	 * 1#机架出口卷厚度最小值（um）
	 */ 
	@Column
	private Long exit_thickness_min;
	public Long getExit_thickness_min() {
		return this.exit_thickness_min;
	}
	public void setExit_thickness_min(Long exit_thickness_min) {
		this.exit_thickness_min = exit_thickness_min;
	}

	/** 
	 * 1#机架出口卷厚度方差（um）
	 */ 
	@Column
	private Long exit_thickness_deta;
	public Long getExit_thickness_deta() {
		return this.exit_thickness_deta;
	}
	public void setExit_thickness_deta(Long exit_thickness_deta) {
		this.exit_thickness_deta = exit_thickness_deta;
	}

	/** 
	 * <±1%公差（10^-2%）
	 */ 
	@Column
	private Long thickness_class_1;
	public Long getThickness_class_1() {
		return this.thickness_class_1;
	}
	public void setThickness_class_1(Long thickness_class_1) {
		this.thickness_class_1 = thickness_class_1;
	}

	/** 
	 * <±2%公差（10^-2%）
	 */ 
	@Column
	private Long thickness_class_2;
	public Long getThickness_class_2() {
		return this.thickness_class_2;
	}
	public void setThickness_class_2(Long thickness_class_2) {
		this.thickness_class_2 = thickness_class_2;
	}

	/** 
	 * <±4%公差（10^-2%）
	 */ 
	@Column
	private Long thickness_class_3;
	public Long getThickness_class_3() {
		return this.thickness_class_3;
	}
	public void setThickness_class_3(Long thickness_class_3) {
		this.thickness_class_3 = thickness_class_3;
	}

	/** 
	 * <±6%公差（10^-2%）
	 */ 
	@Column
	private Long thickness_class_4;
	public Long getThickness_class_4() {
		return this.thickness_class_4;
	}
	public void setThickness_class_4(Long thickness_class_4) {
		this.thickness_class_4 = thickness_class_4;
	}

	/** 
	 * <±10%公差（10^-2%）
	 */ 
	@Column
	private Long thickness_class_5;
	public Long getThickness_class_5() {
		return this.thickness_class_5;
	}
	public void setThickness_class_5(Long thickness_class_5) {
		this.thickness_class_5 = thickness_class_5;
	}

	/** 
	 * >±10%公差（10^-2%）
	 */ 
	@Column
	private Long thickness_class_6;
	public Long getThickness_class_6() {
		return this.thickness_class_6;
	}
	public void setThickness_class_6(Long thickness_class_6) {
		this.thickness_class_6 = thickness_class_6;
	}

	/** 
	 * 缺陷个数
	 */ 
	@Column
	private Long num_defects;
	public Long getNum_defects() {
		return this.num_defects;
	}
	public void setNum_defects(Long num_defects) {
		this.num_defects = num_defects;
	}

	/** 
	 * 是否断带（1：断带、0：正常）
	 */ 
	@Column
	private String strip_break;
	public String getStrip_break() {
		return this.strip_break;
	}
	public void setStrip_break(String strip_break) {
		this.strip_break = strip_break;
	}

	/** 
	 * 断带次数
	 */ 
	@Column
	private Long rll_break_times;
	public Long getRll_break_times() {
		return this.rll_break_times;
	}
	public void setRll_break_times(Long rll_break_times) {
		this.rll_break_times = rll_break_times;
	}

	/** 
	 * 断带原因
	 */ 
	@Column
	private String rll_break_reason;
	public String getRll_break_reason() {
		return this.rll_break_reason;
	}
	public void setRll_break_reason(String rll_break_reason) {
		this.rll_break_reason = rll_break_reason;
	}

	/** 
	 * 部分原料卷吊销（1是、0否）
	 */ 
	@Column
	private String partial_rejected;
	public String getPartial_rejected() {
		return this.partial_rejected;
	}
	public void setPartial_rejected(String partial_rejected) {
		this.partial_rejected = partial_rejected;
	}

	/** 
	 * 吊销卷号
	 */ 
	@Column
	private String rejected_coil_no;
	public String getRejected_coil_no() {
		return this.rejected_coil_no;
	}
	public void setRejected_coil_no(String rejected_coil_no) {
		this.rejected_coil_no = rejected_coil_no;
	}

	/** 
	 * 吊销卷理重
	 */ 
	@Column
	private Double rejected_coil_thr_wgt;
	public Double getRejected_coil_thr_wgt() {
		return this.rejected_coil_thr_wgt;
	}
	public void setRejected_coil_thr_wgt(Double rejected_coil_thr_wgt) {
		this.rejected_coil_thr_wgt = rejected_coil_thr_wgt;
	}

	/** 
	 * 吊销卷实重
	 */ 
	@Column
	private Double rejected_coil_act_wgt;
	public Double getRejected_coil_act_wgt() {
		return this.rejected_coil_act_wgt;
	}
	public void setRejected_coil_act_wgt(Double rejected_coil_act_wgt) {
		this.rejected_coil_act_wgt = rejected_coil_act_wgt;
	}

	/** 
	 * 吊销卷长度
	 */ 
	@Column
	private Double rejected_coil_len;
	public Double getRejected_coil_len() {
		return this.rejected_coil_len;
	}
	public void setRejected_coil_len(Double rejected_coil_len) {
		this.rejected_coil_len = rejected_coil_len;
	}

	/** 
	 * 吊销卷外径
	 */ 
	@Column
	private Double rejected_coil_out_dia;
	public Double getRejected_coil_out_dia() {
		return this.rejected_coil_out_dia;
	}
	public void setRejected_coil_out_dia(Double rejected_coil_out_dia) {
		this.rejected_coil_out_dia = rejected_coil_out_dia;
	}

	/** 
	 * 交工状态
	 */ 
	@Column
	private String hand_over_status;
	public String getHand_over_status() {
		return this.hand_over_status;
	}
	public void setHand_over_status(String hand_over_status) {
		this.hand_over_status = hand_over_status;
	}

	/** 
	 * 交工时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date hand_over_time;
	public Date getHand_over_time() {
		return this.hand_over_time;
	}
	public void setHand_over_time(Date hand_over_time) {
		this.hand_over_time = hand_over_time;
	}

	/** 
	 * 交工人
	 */ 
	@Column
	private String hand_over_opr;
	public String getHand_over_opr() {
		return this.hand_over_opr;
	}
	public void setHand_over_opr(String hand_over_opr) {
		this.hand_over_opr = hand_over_opr;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 操作人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 操作时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/**
	 * 粗糙度
	 */
	@Column
	private String roughness ;
	public String getRoughness() {
		return roughness;
	}
	public void setRoughness(String roughness) {
		this.roughness = roughness;
	}
}
